/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.impl;

import net.northking.cctp.device.db.dao.CdEngineReleasesDao;
import net.northking.cctp.device.db.service.CdEngineReleasesService;
import net.northking.cctp.device.db.entity.CdEngineReleases;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 执行引擎版本
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-28 14:54:23  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "CdEngineReleasesServiceImpl")
public class CdEngineReleasesServiceImpl extends PaginationService<CdEngineReleases> implements CdEngineReleasesService
{
private static final Logger logger = LoggerFactory.getLogger(CdEngineReleasesServiceImpl.class);

  private final CdEngineReleasesDao cdEngineReleasesDao;

  public CdEngineReleasesServiceImpl(CdEngineReleasesDao cdEngineReleasesDao) {this.cdEngineReleasesDao = cdEngineReleasesDao;}

  public BasicDao<CdEngineReleases> getDao() {return cdEngineReleasesDao;}

  public CdEngineReleases createEntity() { return new CdEngineReleases();}

  @Override
  protected void beforeInsert(CdEngineReleases record) {

  }

  @Override
  protected void beforeUpdate(CdEngineReleases record) {

  }

  @Override
  public CdEngineReleases findPackage() {
    CdEngineReleases releases = this.cdEngineReleasesDao.findPackage();
    return releases;
  }


// ----      The End by Generator     ----//




}

